For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Group object
          • GET/groups
          • GET/groups/{id}
          • GET/groups/types

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsGroups

/groups/types

GET
/hris/v1/groups/types
GET
/api/hris/v1/groups/types
$curl https://api.merge.dev/api/hris/v1/groups/types \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "types": [
3 "DEPARTMENT",
4 "COST_CENTER"
5 ]
6}

Returns a list of distinct group type values from the Groups common model.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/groups/{id}

Next

The Location object

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Query parameters

include_deleted_databooleanOptional
Whether to include data that was marked as deleted by third party webhooks.
show_enum_originsstringOptional

A comma separated list of enum field names for which you’d like the original values instead of Merge’s normalized enum values. Learn more

Response

typeslist of strings
List of distinct group types